public class PartTwo {

	public static int countSyllables(String word) {
		int syllableCount = 0;
		boolean inVowelSequence = false;
		for (int i = 0; i < word.length(); i++) {
			char curr = word.charAt(i);
			boolean isVowel = curr == 'a' || curr == 'i' || curr == 'e' || curr == 'o' || curr == 'u';

			if (isVowel && !inVowelSequence) {
				inVowelSequence = true;
				syllableCount++;
			} else if (!isVowel && inVowelSequence) {
				inVowelSequence = false;
			}

		}
		return syllableCount;
	}

	public static int[] expandArray(int[] arr) {
		int sum = 0;
		for (int i = 0; i < arr.length; i++) {
			sum += arr[i];
		}

		int[] expanded = new int[sum];
		int expandedIdx = 0;
		for (int i = 0; i < arr.length; i++) {
			int numRepeats = arr[i];
			for (int j = expandedIdx; j < expandedIdx + numRepeats; j++) {
				expanded[j] = numRepeats;
			}
			expandedIdx += numRepeats;
		}
		return expanded;
	}

}
