public class Ritz {
	public static void main(String[] args) {

		// The Ritz has two theaters, each with three showtimes.
		Cinema ritz = new Cinema(2, 3);

		// Here are the movies that will play at different times.
		Movie coda = new Movie("CODA", 111, "PG-13");
		Movie candyMan = new Movie("Candyman", 120, "R");

		/*
		 * Set up show times for movies in both theaters in the cinema.
		 */

		// CODA is showing in all three time slots in Theater 0
		for (int i = 0; i < 3; i++) {
			ritz.addShowtime(0, coda, i);
		}

		// CODA shows in time slot 1 in Theater 1
		// and Candyman shows in time slot 2 in Theater 1
		ritz.addShowtime(1, coda, 1);
		ritz.addShowtime(1, candyMan, 2);

		// We sell 40 tickets for the movie showing in Theater 0, time slot 1
		ritz.sellTickets(40, 0, 1);
		// We sell 10 tickets for the movie showing in Theater 1, time slot 1
		ritz.sellTickets(10, 1, 1);
		// We sell 80 tickets for the movie showing in Theater 1, time slot 2
		ritz.sellTickets(80, 1, 2);

		/*
		 * Print out how many tickets each movie sold across all showings
		 */
		coda.printSales();
		candyMan.printSales();

	}

}
